IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPUSS_251_PANDEMI_ASI_SONRASI_ISTENMEYEN_ETKI]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPUSS_251_PANDEMI_ASI_SONRASI_ISTENMEYEN_ETKI
GO

CREATE PROCEDURE [dbo].[SPUSS_251_PANDEMI_ASI_SONRASI_ISTENMEYEN_ETKI] 
	@HDOSYAID INT=0,
	@HPANDEMIASIID INT=0,
	@TUMUNUTEKRAR BIT = 0
AS
BEGIN

	--SPUSS_251_PANDEMI_ASI_SONRASI_ISTENMEYEN_ETKI 3480650,16,1
	DECLARE @HATA NVARCHAR(2000) = ''
	DECLARE @MESAJ NVARCHAR(2000) = ''
	DECLARE @SAYIHATA BIT = 0
	DECLARE @XMLBASLIK NVARCHAR(2000) = ''
	DECLARE @SUBEID INT = 1
	DECLARE @GONDERIMTABLOSU TABLE 
		(
			GONDERILECEKXML XML,
			HATA NVARCHAR(2000),
			MESAJ NVARCHAR(2000),	
			XMLBASLIK NVARCHAR(3500),
			TABLOID INT,
			MINID INT,
			MAXID INT
		)

	IF OBJECT_ID('tempdb..#TMPHPANDEMIASI') IS NOT NULL 
		DROP TABLE #TMPHPANDEMIASI

	IF OBJECT_ID('tempdb..#TMPISLEMDOSYA') IS NOT NULL 
		DROP TABLE #TMPISLEMDOSYA

	IF OBJECT_ID('tempdb..#TMPILACLAR') IS NOT NULL 
		DROP TABLE #TMPILACLAR

	IF OBJECT_ID('tempdb..#TMPASIETKI') IS NOT NULL 
		DROP TABLE #TMPASIETKI

	SELECT	   SUBELER.SUBEADI AS SUBELER_SUBEADI,			
			   HDOSYA.SUBEID AS HDOSYA_SUBEID,
			   HDOSYA.SNOTAKIPNO AS HDOSYA_SNOTAKIPNO,
			   HDOSYA.MDLTAKIPVAR AS HDOSYA_MDLTAKIPVAR,			   	   
			   HDOSYA.MDLTAKIPNO AS HDOSYA_MDLTAKIPNO,
			   --ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaralı şubenin kurum numarası'),'') AS SAGLIKNETKURUMKODU,
			   ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='E-Nabız' AND PROGNAME='MEDISOFT' AND KEYNAME= 'E-nabız SGK Bildirim ID'),'2') AS ENABIZSGKBILDIRIMID,
	    ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Yenidoğanların Kimliksiz fatura edilebilir gün sayısı'),'') 	AS SAGLIKNETKIMLIKSIZYENIDOGANGUN,

        CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
		  '10000038' 
		ELSE
		   ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaralı şubenin kurum numarası'),'') 
		END AS SAGLIKNETKURUMKODU,

		 CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
		  '3bc26a7d-4a19-4edf-ab9f-1413ac85e7d0' /*TEST KTS FİRMA KODU*/
		ELSE
		   'C740D0288ED4C45FE0407C0A04162BDD'  /*KTS TALYA*/ 
		END AS SNOKTSFIRMAKODU,

		ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Hasta kayıt gönderiminde referans no ön Karakteri'),'') AS REFNOONEK

		INTO #TMPISLEMDOSYA
		FROM HDOSYA WITH(NOLOCK)
			 LEFT JOIN SUBELER WITH(NOLOCK) ON SUBELER.SUBEID = HDOSYA.SUBEID
		WHERE   
			  HDOSYA.HDOSYAID = @HDOSYAID

	SELECT	   HUSS251VERISETIILACLAR.KULLANILANILACGRUPID AS KULLANILANILACGRUPID,
			   HUSS251VERISETIILACLAR.ILACADI AS ILACADI,
			   HUSS251VERISETIILACLAR.DOZBILGISI AS DOZBILGISI,
			   HUSS251VERISETIILACLAR.KULLANILANSURE AS KULLANILANSURE 	
			   INTO #TMPILACLAR
		FROM HUSS251VERISETIILACLAR WITH(NOLOCK)
			 
		WHERE   
			  HUSS251VERISETIILACLAR.HUSS251VERISETIID = @HPANDEMIASIID

	SELECT	   HUSS251VERISETIASIEETKI.TUTULANSISTEMLERID AS TUTULANSISTEMLERID,
			   HUSS251VERISETIASIEETKI.OZELLIKID AS OZELLIKID,
			   HUSS251VERISETIASIEETKI.YERLESIMID AS YERLESIMID,
			   HUSS251VERISETIASIEETKI.BOYUTID AS BOYUTID ,
			   HUSS251VERISETIASIEETKI.DIGERASISONRASIISTENMEYENETKI AS DIGERASISONRASIISTENMEYENETKI,
			   HUSS251VERISETIASIEETKI.DIGERTUTULANSISTEMLER AS DIGERTUTULANSISTEMLER,
			   HUSS251VERISETIASIEETKI.REAKSIYONSURESI AS REAKSIYONSURESI,
			   HUSS251VERISETIASIEETKI.PANDEMIASISONRASIISTENMEYENETKIID AS PANDEMIASISONRASIISTENMEYENETKIID,
			   ISTENMEYENETKI.ISTENMEYENETKIADI AS ISTENMEYENETKIADI	
			   INTO #TMPASIETKI
		FROM HUSS251VERISETIASIEETKI WITH(NOLOCK)
			 LEFT JOIN HUSS251VERISETI WITH(NOLOCK) ON HUSS251VERISETI.HUSS251VERISETIID = HUSS251VERISETIASIEETKI.HUSS251VERISETIID
             LEFT JOIN TPANDEMIASISISONRASIISTENMEYENETKI ISTENMEYENETKI WITH(NOLOCK) ON ISTENMEYENETKI.ISTENMEYENETKIKODU= HUSS251VERISETIASIEETKI.PANDEMIASISONRASIISTENMEYENETKIID     
		WHERE   
			  HUSS251VERISETIASIEETKI.HUSS251VERISETIID = @HPANDEMIASIID



SELECT 
                HUSS251VERISETI.TEDAVININYAPILDIGIYERID AS TEDAVININYAPILDIGIYERID , 
				HUSS251VERISETI.HMUAYENEID,
				HUSS251VERISETI.HDOSYAID,
				HUSS251VERISETI.YATISINGERCEKLESTIGIHASTANEKODU AS YATISINGERCEKLESTIGIHASTANEKODU ,
				HUSS251VERISETI.OLUMZAMANI,
				HUSS251VERISETI.CIDDIASIEDURUMBILGISIID AS CIDDIASIEDURUMBILGISIID,
                HUSS251VERISETI.HASTALIKBILGISI AS HASTALIKBILGISI,
				HUSS251VERISETI.PANDEMIASIEALERJIBILGISI AS PANDEMIASIEALERJIBILGISI,
				HUSS251VERISETI.FORMUDOLDURANKISIADI AS FORMUDOLDURANKISIADI,
				HUSS251VERISETI.FORMUDOLDURANKISININSOYADI AS FORMUDOLDURANKISININSOYADI,
				HUSS251VERISETI.ASILAMASIRASINDABILINENHASTALIGIVARMI AS ASILAMASIRASINDABILINENHASTALIGIVARMI,
				HUSS251VERISETI.ONCESINDEBENZERBIRASIETABLOSUVARLIGIVARMI AS ONCESINDEBENZERBIRASIETABLOSUVARLIGIVARMI,
				HUSS251VERISETI.ALERJIOYKUSUVARMI AS ALERJIOYKUSUVARMI,
				HUSS251VERISETI.ASIEORTAYACIKISZAMANI AS ASIEORTAYACIKISZAMANI,
				HUSS251VERISETI.ASIEMEVCUTDURUMUID AS ASIEMEVCUTDURUMUID,
				HUSS251VERISETI.VAKAYATEDAVIGEREKTIMI AS VAKAYATEDAVIGEREKTIMI,
				HUSS251VERISETI.VAKAHASTANEYEYATTIMI AS VAKAHASTANEYEYATTIMI,
				HUSS251VERISETI.VAKAOLDUMU AS  VAKAOLDUMU,
				HUSS251VERISETI.CIDDIASIEDURUMVARLIGI AS CIDDIASIEDURUMVARLIGI,
				HUSS251VERISETI.ASILAMASIRASINDAKULLANDIGIILACVARMI AS ASILAMASIRASINDAKULLANDIGIILACVARMI,
				HUSS251VERISETI.ASIID AS ASIID,
				HUSS251VERISETI.ILACLARID AS ILACLARID,
				HUSS251VERISETI.ASIEETKIBILGILERIID AS ASIEETKIBILGILERIID,
				HUSS251VERISETI.ISLEMZAMANI AS ISLEMZAMANI,
				HUSS251VERISETI.GONDERILDI AS GONDERILDI,
				HUSS251VERISETI.HUSS251VERISETIID AS HUSS251VERISETIID,				
				(SELECT COUNT(*) FROM #TMPILACLAR) AS ILAC_SAYI,
	            (SELECT COUNT(*) FROM #TMPASIETKI) AS ASIETKI_SAYI,				
				TSNASI.ASI AS ASIADI,
				KURUMLAR.ADI AS YATISINGERCEKLESTIGIHASTANE    
		INTO #TMPHPANDEMIASI
		FROM HUSS251VERISETI  
		LEFT JOIN TSNASI WITH(NOLOCK) ON TSNASI.ASIID=HUSS251VERISETI.ASIID 
		LEFT JOIN KURUMLAR WITH(NOLOCK) ON  KURUMLAR.KODU = HUSS251VERISETI.YATISINGERCEKLESTIGIHASTANEKODU 
		
		WHERE 
			HUSS251VERISETI.HDOSYAID = @HDOSYAID AND
			HUSS251VERISETI.HUSS251VERISETIID = @HPANDEMIASIID

	IF (SELECT COUNT(*) FROM #TMPHPANDEMIASI) = 0
	BEGIN
		SET @SAYIHATA = 1
		SET @MESAJ = @MESAJ + '251 Pandemi Asi Sonrasi Istenmeyen Etki paketi için işlem kaydı bulunamadı! '
	END



	IF (SELECT COUNT(*) FROM #TMPISLEMDOSYA WHERE HDOSYA_SUBEID IS NULL) > 0 
		SET @HATA = @HATA + 'İşlemin şube kaydı bulunamadı! '


   IF NOT EXISTS(SELECT FORMUDOLDURANKISIADI FROM #TMPHPANDEMIASI )
		SET @HATA =@HATA+  'Formu dolduran kişi ad bilgisi girilmemiş! '

   IF NOT EXISTS(SELECT FORMUDOLDURANKISININSOYADI FROM #TMPHPANDEMIASI )
		SET @HATA =@HATA+  'Formu dolduran kişi soyad bilgisi girilmemiş! '

   IF NOT EXISTS(SELECT ASIEORTAYACIKISZAMANI FROM #TMPHPANDEMIASI )
		SET @HATA =@HATA+  'Aşıe ortaya çıkış zaman bilgisi girilmemiş! '

   IF NOT EXISTS(SELECT ASIID FROM #TMPHPANDEMIASI )
		SET @HATA =@HATA+  'Aşı bilgisi girilmemiş! '

   IF NOT EXISTS(SELECT ASIEMEVCUTDURUMUID FROM #TMPHPANDEMIASI )
		SET @HATA =@HATA+  'Aşıe mevcut durum bilgisi girilmemiş! '


   IF NOT EXISTS(SELECT ASIEMEVCUTDURUMUID FROM #TMPHPANDEMIASI )
		SET @HATA =@HATA+  'Aşıe mevcut durum bilgisi girilmemiş! '

   IF NOT EXISTS(SELECT ASILAMASIRASINDABILINENHASTALIGIVARMI FROM #TMPHPANDEMIASI )
		SET @HATA =@HATA+  'Aşılama sırasında bilinen hastalığı var mı bilgisi girilmemiş! '

   IF NOT EXISTS(SELECT ONCESINDEBENZERBIRASIETABLOSUVARLIGIVARMI FROM #TMPHPANDEMIASI )
		SET @HATA =@HATA+  'Öncesinde benzer bir aşı tablosu var mı bilgisi girilmemiş! '

   IF NOT EXISTS(SELECT ALERJIOYKUSUVARMI FROM #TMPHPANDEMIASI )
		SET @HATA =@HATA+  'Alerji öyküsü var mı bilgisi girilmemiş! '

   IF NOT EXISTS(SELECT VAKAYATEDAVIGEREKTIMI FROM #TMPHPANDEMIASI )
		SET @HATA =@HATA+  'Vakaya tedavi gerekti mi bilgisi girilmemiş! '

   IF NOT EXISTS(SELECT VAKAHASTANEYEYATTIMI FROM #TMPHPANDEMIASI )
		SET @HATA =@HATA+  'Vaka hastaneye yattı mı bilgisi girilmemiş! '

   IF NOT EXISTS(SELECT VAKAOLDUMU FROM #TMPHPANDEMIASI )
		SET @HATA =@HATA+  'Vaka öldü mü bilgisi girilmemiş! '

   IF NOT EXISTS(SELECT CIDDIASIEDURUMVARLIGI FROM #TMPHPANDEMIASI )
		SET @HATA =@HATA+  'Ciddi Asie varlığı var mı bilgisi girilmemiş! '

   IF NOT EXISTS(SELECT ASILAMASIRASINDAKULLANDIGIILACVARMI FROM #TMPHPANDEMIASI )
		SET @HATA =@HATA+  'Aşılama sırasında kullandığı ilaç var mı bilgisi girilmemiş! '


	IF (SELECT COUNT(*) FROM #TMPASIETKI) > 0
	BEGIN
	IF  EXISTS(SELECT PANDEMIASISONRASIISTENMEYENETKIID FROM #TMPASIETKI WHERE PANDEMIASISONRASIISTENMEYENETKIID ='')
		SET @HATA =@HATA+  'ASIE Etki bilgilerinde pandemi sonrası istenmeyen etki bilgisi girilmesi gerekmektedir! '
	END
	

	IF @HATA='' AND @SAYIHATA=0
	BEGIN		
		SELECT @SUBEID = HDOSYA_SUBEID FROM #TMPISLEMDOSYA
		DECLARE @TBLXMLBASLIK TABLE (XMLBASLIK NVARCHAR(2000), HATA NVARCHAR(2000),MESAJ NVARCHAR(2000))
		INSERT INTO @TBLXMLBASLIK (XMLBASLIK, HATA, MESAJ) EXEC SPUSS_000_XML_BASLIK @SUBEID		
		SELECT @HATA=HATA, @MESAJ=MESAJ, @XMLBASLIK=XMLBASLIK FROM @TBLXMLBASLIK		
	END

	IF @HATA = '' AND @SAYIHATA=0
	BEGIN


	

					BEGIN TRY
						INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID) 
						SELECT							 
							(
								SELECT 
									NEWID() as 'messageGuid/@value',
									'1' as 'messageType/@version',
									'918e32b3-04eb-4444-b721-e979fcee8c60' as 'messageType/@codeSystemGuid',
									'251' as 'messageType/@code',
									'Pandemi Asi Sonrasi Istenmeyen Etki' as 'messageType/@value',
									LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),GETDATE(),120),' ',''),'-',''),':',''),12) as 'documentGenerationTime/@value',
											(
						 
												SELECT	
													'1' AS 'healthcareProvider/@version',
													'c3eade04-4f91-5dab-e043-14031b0ac9f9' as 'healthcareProvider/@codeSystemGuid',
													SAGLIKNETKURUMKODU AS 'healthcareProvider/@code',
													SUBELER_SUBEADI as 'healthcareProvider/@value'  
												FOR XML PATH('author'), TYPE
											),
											--'C740D0288ED4C45FE0407C0A04162BDD' as 'firmaKodu/@value',
											SNOKTSFIRMAKODU as 'firmaKodu/@value',
											(
											
														SELECT 
																(
																	SELECT
																		ISNULL(HDOSYA_SNOTAKIPNO,'') AS 'SYSTakipNo/@value'
																	FOR XML PATH('HASTA_TAKIP_BILGISI'), TYPE
																),					
											
															(SELECT
																	   CASE	WHEN ISNULL(TEDAVININYAPILDIGIYERID,0) <> 0 THEN '1' END AS 'TEDAVININ_YAPILDIGI_YER/@version', 
																	   CASE	WHEN ISNULL(TEDAVININYAPILDIGIYERID,0) <> 0 THEN 'd0f21038-aff2-4b6f-a1fb-490e66197d9c' END AS 'TEDAVININ_YAPILDIGI_YER/@codeSystemGuid', 
																	   CASE	WHEN ISNULL(TEDAVININYAPILDIGIYERID,0) <> 0 THEN TEDAVININYAPILDIGIYERID END AS 'TEDAVININ_YAPILDIGI_YER/@code', 
																	    (CASE TEDAVININYAPILDIGIYERID 
																		WHEN 1 THEN 'ASM'
																		WHEN 2 THEN 'TSM'
																		WHEN 3 THEN 'HASTANE'
																		WHEN 4 THEN 'GÖÇMEN SAĞLIĞI MERKEZİ'
																		WHEN 5 THEN 'AŞI İSTASYONU'
																		WHEN 6 THEN 'AMBULANS'
																		WHEN 7 THEN 'DİĞER'
																		WHEN 8 THEN 'BİLİNMİYOR'
																		 END)  AS 'TEDAVININ_YAPILDIGI_YER/@value',														
																	   CASE	WHEN ISNULL(YATISINGERCEKLESTIGIHASTANEKODU,0) <> 0 THEN '1' END AS 'YATISIN_GERCEKLESTIGI_HASTANE/@version', 
																	   CASE	WHEN ISNULL(YATISINGERCEKLESTIGIHASTANEKODU,0) <> 0 THEN 'c3eade04-4f91-5dab-e043-14031b0ac9f9' END AS 'YATISIN_GERCEKLESTIGI_HASTANE/@codeSystemGuid', 
																	   CASE	WHEN ISNULL(YATISINGERCEKLESTIGIHASTANEKODU,0) <> 0 THEN YATISINGERCEKLESTIGIHASTANEKODU END AS 'YATISIN_GERCEKLESTIGI_HASTANE/@code', 
																	   CASE	WHEN ISNULL(YATISINGERCEKLESTIGIHASTANEKODU,0) <> 0 THEN YATISINGERCEKLESTIGIHASTANE END  AS 'YATISIN_GERCEKLESTIGI_HASTANE/@value',
																	   LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19), OLUMZAMANI, 120), ' ', ''), '-', ''), ':', ''), 12) AS 'OLUM_ZAMANI/@value', 
																	   CASE	WHEN ISNULL(CIDDIASIEDURUMBILGISIID,0) <> 0 THEN '1' END AS 'CIDDI_ASIE_DURUM_BILGISI/@version', 
																	   CASE	WHEN ISNULL(CIDDIASIEDURUMBILGISIID,0) <> 0 THEN '825c4ee0-58a7-4b7a-aea1-2926625ebcbc' END AS 'CIDDI_ASIE_DURUM_BILGISI/@codeSystemGuid', 
																	   CASE	WHEN ISNULL(CIDDIASIEDURUMBILGISIID,0) <> 0 THEN CIDDIASIEDURUMBILGISIID END AS 'CIDDI_ASIE_DURUM_BILGISI/@code', 
																	    (CASE CIDDIASIEDURUMBILGISIID 
																		WHEN 1 THEN 'HASTANEYE YATIŞ GEREKTİREN DURUM'
																		WHEN 2 THEN 'HAYATI TEHDİT EDEN DURUM'
																		WHEN 3 THEN 'GEÇİCİ YA DA BELİRGİN SAKATLIKLA SONUÇLANAN DURUM'
																		WHEN 4 THEN 'KONJENİTAL ANOMALİ'
																		WHEN 5 THEN 'ÖLÜM'
																		 END)  AS 'CIDDI_ASIE_DURUM_BILGISI/@value',
																	   CASE	WHEN ISNULL(HASTALIKBILGISI,'') <> '' THEN HASTALIKBILGISI END AS 'HASTALIK_BILGISI/@value',
																	   FORMUDOLDURANKISIADI AS 'FORMU_DOLDURAN_KISI_ADI/@value',
																	   FORMUDOLDURANKISININSOYADI AS 'FORMU_DOLDURAN_KISININ_SOYADI/@value',
																	   HUSS251VERISETIID AS 'ASIE_KAYIT_NO/@value',
																	   '1' AS 'ASILAMA_SIRASINDA_BILINEN_HASTALIGI_VAR_MI/@version', 
																	   'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'ASILAMA_SIRASINDA_BILINEN_HASTALIGI_VAR_MI/@codeSystemGuid', 
																	   CASE WHEN ASILAMASIRASINDABILINENHASTALIGIVARMI=1 THEN '1'ELSE '2' END AS 'ASILAMA_SIRASINDA_BILINEN_HASTALIGI_VAR_MI/@code', 
																	   CASE WHEN ASILAMASIRASINDABILINENHASTALIGIVARMI=1 THEN 'EVET' ELSE 'HAYIR' END AS 'ASILAMA_SIRASINDA_BILINEN_HASTALIGI_VAR_MI/@value',
																	    '1' AS 'ONCESINDE_BENZER_BIR_ASIE_TABLOSU_VARLIGI_VAR_MI/@version', 
																	   'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'ONCESINDE_BENZER_BIR_ASIE_TABLOSU_VARLIGI_VAR_MI/@codeSystemGuid', 
																	   CASE WHEN ONCESINDEBENZERBIRASIETABLOSUVARLIGIVARMI=1 THEN '1'ELSE '2' END AS 'ONCESINDE_BENZER_BIR_ASIE_TABLOSU_VARLIGI_VAR_MI/@code', 
																	   CASE WHEN ONCESINDEBENZERBIRASIETABLOSUVARLIGIVARMI=1 THEN 'EVET' ELSE 'HAYIR' END AS 'ONCESINDE_BENZER_BIR_ASIE_TABLOSU_VARLIGI_VAR_MI/@value',
																	   '1' AS 'ALERJI_OYKUSU_VAR_MI/@version', 
																	   'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'ALERJI_OYKUSU_VAR_MI/@codeSystemGuid', 
																	   CASE WHEN ALERJIOYKUSUVARMI=1 THEN '1'ELSE '2' END AS 'ALERJI_OYKUSU_VAR_MI/@code', 
																	   CASE WHEN ALERJIOYKUSUVARMI=1 THEN 'EVET' ELSE 'HAYIR' END AS 'ALERJI_OYKUSU_VAR_MI/@value',
																	   LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19), ASIEORTAYACIKISZAMANI, 120), ' ', ''), '-', ''), ':', ''), 12) AS 'ASIE_ORTAYA_CIKIS_ZAMANI/@value', 
																	   '1' AS 'ASIE_MEVCUT_DURUMU/@version', 
																	   'be1f6f7e-5534-4836-813e-6861103cd67f' AS 'ASIE_MEVCUT_DURUMU/@codeSystemGuid', 
																	   ASIEMEVCUTDURUMUID AS 'ASIE_MEVCUT_DURUMU/@code', 
																	   (CASE ASIEMEVCUTDURUMUID 
																		WHEN 1 THEN 'SORUN DEVAM EDİYOR'
																		WHEN 2 THEN 'İYİLEŞMEKTE'
																		WHEN 3 THEN 'TAMAMEN İYİLEŞTİ'
																		WHEN 4 THEN 'SEKELLİ İYİLEŞTİ'
																		WHEN 5 THEN 'BİLİNMİYOR'
																		WHEN 6 THEN 'ÖLDÜ'
																		END)  AS 'ASIE_MEVCUT_DURUMU/@value', 
																	   '1' AS 'VAKAYA_TEDAVI_GEREKTI_MI/@version', 
																	   'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'VAKAYA_TEDAVI_GEREKTI_MI/@codeSystemGuid', 
																	   CASE WHEN VAKAYATEDAVIGEREKTIMI=1 THEN '1'ELSE '2' END AS 'VAKAYA_TEDAVI_GEREKTI_MI/@code', 
																	   CASE WHEN VAKAYATEDAVIGEREKTIMI=1 THEN 'EVET' ELSE 'HAYIR' END AS 'VAKAYA_TEDAVI_GEREKTI_MI/@value', 
																	   '1' AS 'VAKA_HASTANEYE_YATTI_MI/@version', 
																	   'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'VAKA_HASTANEYE_YATTI_MI/@codeSystemGuid', 
																	   CASE WHEN VAKAHASTANEYEYATTIMI=1 THEN '1'ELSE '2' END AS 'VAKA_HASTANEYE_YATTI_MI/@code', 
																	   CASE WHEN VAKAHASTANEYEYATTIMI=1 THEN 'EVET' ELSE 'HAYIR' END AS 'VAKA_HASTANEYE_YATTI_MI/@value', 
																	   '1' AS 'VAKA_OLDU_MU/@version', 
																	   'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'VAKA_OLDU_MU/@codeSystemGuid', 
																	   CASE WHEN VAKAOLDUMU=1 THEN '1'ELSE '2' END AS 'VAKA_OLDU_MU/@code', 
																	   CASE WHEN VAKAOLDUMU=1 THEN 'EVET' ELSE 'HAYIR' END AS 'VAKA_OLDU_MU/@value', 
																	    '1' AS 'CIDDI_ASIE_DURUM_VARLIGI/@version', 
																		'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'CIDDI_ASIE_DURUM_VARLIGI/@codeSystemGuid', 
																		 CASE WHEN CIDDIASIEDURUMVARLIGI=1 THEN '1'ELSE '2' END AS 'CIDDI_ASIE_DURUM_VARLIGI/@code', 
																		 CASE WHEN CIDDIASIEDURUMVARLIGI=1 THEN '1'ELSE '2' END AS 'CIDDI_ASIE_DURUM_VARLIGI/@value',
																	    '1' AS 'ASILAMA_SIRASINDA_KULLANDIGI_ILAC_VAR_MI/@version', 
																		'c9d56fee-d143-4602-ad7b-ba131ef92ad9' AS 'ASILAMA_SIRASINDA_KULLANDIGI_ILAC_VAR_MI/@codeSystemGuid', 
																		 CASE WHEN ASILAMASIRASINDAKULLANDIGIILACVARMI=1 THEN '1'ELSE '2' END AS 'ASILAMA_SIRASINDA_KULLANDIGI_ILAC_VAR_MI/@code', 
																		 CASE WHEN ASILAMASIRASINDAKULLANDIGIILACVARMI=1 THEN '1'ELSE '2' END AS 'ASILAMA_SIRASINDA_KULLANDIGI_ILAC_VAR_MI/@value'
															,
															(
																	SELECT 
																	       '1' AS 'ASI/@version', 
																		   'c3dbbb53-3b59-06e1-e043-14031b0a9fe6' AS 'ASI/@codeSystemGuid', 
																		   ISNULL(ASIID, 0) AS 'ASI/@code', 
																		   ISNULL(ASIADI, '') AS 'ASI/@value' 
																	FOR XML PATH('ASI_BILGILERI'), TYPE ),
															(
																	SELECT
																	       '1' AS 'KULLANILAN_ILAC_GRUP_ADI/@version', 
																		   '875700c0-453a-4513-a3a4-aa8d8d0e86ab' AS 'KULLANILAN_ILAC_GRUP_ADI/@codeSystemGuid', 
																		   ISNULL(KULLANILANILACGRUPID, 0) AS 'KULLANILAN_ILAC_GRUP_ADI/@code', 
																		   (CASE KULLANILANILACGRUPID 
																			WHEN 1 THEN 'ANTİHİPERTANSİF'
																			WHEN 2 THEN 'ANTİDİYABETİK'
																			WHEN 3 THEN 'STATİN/KOLESTEROL İLACI'
																			WHEN 4 THEN 'ANTİBİYOTİK'
																			WHEN 5 THEN 'ASTIM'
																			WHEN 6 THEN 'ANTİDEPRESAN'
																			WHEN 7 THEN 'NÖROLOJİK'
																			WHEN 8 THEN 'KEMOTERAPİ'
																			WHEN 9 THEN 'İMMUNSUPRESİF'
																			WHEN 10 THEN 'DİĞER'
																			ELSE ''
																			END) AS 'KULLANILAN_ILAC_GRUP_ADI/@value',
																	       ISNULL(ILACADI, '') AS 'ILAC_ADI/@value' ,
																	       ISNULL(DOZBILGISI, '') AS 'DOZ_BILGISI/@value' ,
																	       ISNULL(KULLANILANSURE, '') AS 'KULLANILAN_SURE/@value'
																		   FROM #TMPILACLAR WHERE ILAC_SAYI>0
																	FOR XML PATH('KULLANILAN_ILAC_BILGILERI'), TYPE 
																	),
															(
																	SELECT 
																	       ISNULL(PANDEMIASIEALERJIBILGISI, '') AS 'PANDEMI_ASIE_ALERJI_BILGISI/@value'
																		   WHERE ALERJIOYKUSUVARMI=1
																	FOR XML PATH('ASIE_ALERJI_BILGILERI'), TYPE ), 
															
																(
																	SELECT 
																	       CASE	WHEN ISNULL(TUTULANSISTEMLERID,0) <> 0  THEN '1' END AS 'TUTULAN_SISTEMLER/@version', 
																		   CASE	WHEN ISNULL(TUTULANSISTEMLERID,0) <> 0  THEN '83b33690-dbc0-4967-91b0-2a0a878382ae' END AS 'TUTULAN_SISTEMLER/@codeSystemGuid', 
																		   CASE	WHEN ISNULL(TUTULANSISTEMLERID,0) <> 0  THEN TUTULANSISTEMLERID END AS 'TUTULAN_SISTEMLER/@code', 
																		   (CASE TUTULANSISTEMLERID 
																			WHEN 1 THEN 'SOLUNUM SİSTEMİ'
																			WHEN 2 THEN 'DOLAŞIM SİSTEMİ'
																			WHEN 3 THEN 'GASTROİNTESTİNAL SİSTEM'
																			WHEN 4 THEN 'CİLT'
																			WHEN 5 THEN 'DİĞER (BELİRTİNİZ)'
																			END)  AS  'TUTULAN_SISTEMLER/@value',
																		   CASE	WHEN ISNULL(OZELLIKID,0) <> 0 THEN'1' END AS 'OZELLIK/@version', 
																		   CASE	WHEN ISNULL(OZELLIKID,0) <> 0 THEN 'db4bd9d7-73a2-440e-8564-11af6f9cd788' END  AS 'OZELLIK/@codeSystemGuid', 
																		   CASE	WHEN ISNULL(OZELLIKID,0) <> 0 THEN OZELLIKID END AS 'OZELLIK/@code', 
																		   (CASE OZELLIKID 
																			WHEN 1 THEN '2,5 CM’DEN KÜÇÜK'
																			WHEN 2 THEN '2,5 CM’DEN BÜYÜK'
																			WHEN 3 THEN 'BİR EKLEMİ DE İÇERİYOR'
																			WHEN 4 THEN 'KIZARIKLIK'
																			WHEN 5 THEN 'ŞİŞLİK'
																			WHEN 6 THEN 'ISI ARTIŞI'
																			WHEN 7 THEN 'HASSASİYET'
																			END)  AS  'OZELLIK/@value',
																	       CASE	WHEN ISNULL(YERLESIMID,0) <> 0 THEN  '1' END AS 'YERLESIM/@version', 
																		   CASE	WHEN ISNULL(YERLESIMID,0) <> 0 THEN '032ec025-8286-4001-9f0e-3c39158b6411' END AS 'YERLESIM/@codeSystemGuid', 
																		   CASE	WHEN ISNULL(YERLESIMID,0) <> 0 THEN YERLESIMID END AS 'YERLESIM/@code', 
																		   (CASE YERLESIMID 
																			WHEN 1 THEN 'SERVİKAL'
																			WHEN 2 THEN 'AKSİLLER'
																			WHEN 3 THEN 'YAYGIN'
																			END)  AS 'YERLESIM/@value',
																		   CASE	WHEN ISNULL(BOYUTID,0) <> 0 THEN  '1' END AS  'BOYUT/@version', 
																		   CASE	WHEN ISNULL(BOYUTID,0) <> 0 THEN  'ebf27395-5ab7-405d-8d99-9b538613d806'END AS 'BOYUT/@codeSystemGuid', 
																		   CASE	WHEN ISNULL(BOYUTID,0) <> 0 THEN BOYUTID END AS 'BOYUT/@code', 
																		   (CASE BOYUTID 
																			WHEN 1 THEN '1 CM’DEN KÜÇÜK'
																			WHEN 2 THEN '1-3 CM'
																			WHEN 3 THEN '3 CM’DEN BÜYÜK'
																			END) AS 'BOYUT/@value',
																	       CASE	WHEN ISNULL(DIGERASISONRASIISTENMEYENETKI,'') <> '' THEN DIGERASISONRASIISTENMEYENETKI END AS 'DIGER_ASI_SONRASI_ISTENMEYEN_ETKI/@value', 
																	       CASE	WHEN ISNULL(DIGERTUTULANSISTEMLER,'') <> '' THEN DIGERTUTULANSISTEMLER END AS 'DIGER_TUTULAN_SISTEMLER/@value', 
																		   CASE	WHEN ISNULL(REAKSIYONSURESI,'') <> '' THEN REAKSIYONSURESI END AS 'REAKSIYON_SURESI/@value',
																		   CASE	WHEN ISNULL(PANDEMIASISONRASIISTENMEYENETKIID,0) <> 0 THEN  '1' END AS  'PANDEMI_ASI_SONRASI_ISTENMEYEN_ETKI/@version', 
																		   CASE	WHEN ISNULL(PANDEMIASISONRASIISTENMEYENETKIID,0) <> 0 THEN '7c63411a-82e6-4422-8b20-e4a85dc9a2f6' END AS 'PANDEMI_ASI_SONRASI_ISTENMEYEN_ETKI/@codeSystemGuid', 
																		   CASE	WHEN ISNULL(PANDEMIASISONRASIISTENMEYENETKIID,0) <> 0 THEN PANDEMIASISONRASIISTENMEYENETKIID END AS'PANDEMI_ASI_SONRASI_ISTENMEYEN_ETKI/@code', 
																		   CASE	WHEN ISNULL(ISTENMEYENETKIADI,'') <> '' THEN ISTENMEYENETKIADI END AS 'PANDEMI_ASI_SONRASI_ISTENMEYEN_ETKI/@value'
																		   FROM #TMPASIETKI WHERE ASIETKI_SAYI>0																		   
																	FOR XML PATH('ASIE_ETKI_BILGILERI'), TYPE ) 
																								 									    
																	 	
																												
															FROM #TMPHPANDEMIASI
																							
									     
													FOR XML PATH('PANDEMI_ASI_SONRASI_ISTENMEYEN_ETKI_BILGILERI'),TYPE
															)														
													FOR XML PATH('recordData'), TYPE 
										)
		   
				FROM #TMPISLEMDOSYA

				FOR XML PATH(''), ROOT('SYSMessage')
	
	
							) AS GONDERILECEKXML,
							@HATA AS HATA, 
							@MESAJ AS MESAJ,
							@XMLBASLIK AS XMLBASLIK,
							@HPANDEMIASIID AS TABLOID,
							0 AS MINID,
							0 AS MAXID

					END TRY
					BEGIN CATCH
						SET @HATA = ERROR_MESSAGE()
						IF @HATA = ''
							SET @HATA = 'Bilinmeyen bir hata oluştu'

			
						INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)		
						SELECT	'' AS GONDERILECEKXML,
								@HATA AS HATA, 
								@MESAJ AS MESAJ,
								'' AS XMLBASLIK,
								@HPANDEMIASIID AS TABLOID,
								0 AS MINID,
								0 AS MAXID
			

					END CATCH
				



	END
	ELSE
	BEGIN
		
		INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
		SELECT	'' AS GONDERILECEKXML,
				@HATA AS HATA, 
				@MESAJ AS MESAJ,
				'' AS XMLBASLIK,	
				@HPANDEMIASIID AS TABLOID,
				0 AS MINID,
				0 AS MAXID		 
	END

	
	IF OBJECT_ID('tempdb..#TMPHPANDEMIASI') IS NOT NULL 
		DROP TABLE #TMPHPANDEMIASI

	IF OBJECT_ID('tempdb..#TMPISLEMDOSYA') IS NOT NULL 
		DROP TABLE #TMPISLEMDOSYA


	SELECT * FROM @GONDERIMTABLOSU


END

